package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchOperationLogApi;
import com.docus.server.dto.scheduling.management.SchOperationLogDTO;
import com.docus.server.service.ISchOperationLogService;
import com.docus.server.vo.scheduling.management.SchOperationLogVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集调度器操作日志 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchOperationLogController implements SchOperationLogApi {
    @Resource
    private ISchOperationLogService iSchOperationLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchOperationLogVO findById(String id) {
        return iSchOperationLogService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchOperationLogVO> search(SearchRequest searchRequest) {
        return iSchOperationLogService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchOperationLogDTO schOperationLogDTO) {
        return iSchOperationLogService.add(schOperationLogDTO);
    }

    /**
     * 编辑
     *
     * @param schOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchOperationLogDTO schOperationLogDTO) {
        return iSchOperationLogService.edit(schOperationLogDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchOperationLogService.delete(ids);
    }
}
